<ng-container *ngIf="{
          user: user$ | async,
          plateau: plateau$ | async,
          fmi: fmi$ | async } as vm">
  <app-page-form>
    <ng-container ngProjectAs="[page-form-content]">
      <h1>
        {{ 'fmi.team.seo.title' | translate }}
      </h1>

      <p>
        {{ 'fmi.team.seo.description' | translate }}
      </p>

      <form [formGroup]="formGroup"
            #form="ngForm" (ngSubmit)="formGroup.valid && save()">
        <ng-container *ngIf="(vm.user | userHasRight:rightEnum.FMI_EDIT) || (vm.user | userHasRight:rightEnum.FMI_PREPARE) && (vm.user | userIsInChargeOfPlateau:vm.plateau)">
          <app-fmi-team-member
            *ngIf="controlAsFormGroup(formGroup.controls.inChargeMember)?.value.config && controlAsFormGroup(formGroup.controls.inChargeMember) as memberFormGroup"
            [formGroup]="memberFormGroup" [config]="memberFormGroup.value.config">
          </app-fmi-team-member>

          <div class="form-grid">
            <section class="member-form">
              <mat-form-field>
                <mat-label>
                  {{ 'fmi.team.form.doctor' | translate }}
                </mat-label>
                <input matInput name="doctor" formControlName="doctor"/>
              </mat-form-field>
            </section>
          </div>
        </ng-container>

        <mat-accordion formArrayName="teams">
          <ng-container *ngFor="let teamFormGroup of controlAsFormGroups(formGroup.controls.teams); trackBy: trackByTeamValue">
            <app-fmi-team-item [formGroup]="teamFormGroup"></app-fmi-team-item>
          </ng-container>
        </mat-accordion>
      </form>
    </ng-container>
    <ng-container ngProjectAs="[page-form-footer]">
      <a mat-stroked-button color="accent"
         [routerLink]="previousRouteCommands.commands"
         [queryParams]="previousRouteCommands.queryParams"
         angulartics2On="click"
         angularticsAction="cancel"
         angularticsCategory="fmi-team">
        <mat-icon>
          cancel
        </mat-icon>
        {{ 'fmi.team.action.cancel' | translate }}
      </a>
      <app-async-button [loading]="loading.save" *ngIf="enableSave(vm.fmi)">
        <button mat-flat-button color="primary"
                [disabled]="!formGroup.value.fmi"
                (click)="form.onSubmit($event)"
                angulartics2On="click"
                angularticsLabel="team"
                angularticsAction="save"
                angularticsCategory="fmi-team">
          <mat-icon>
            save
          </mat-icon>
          {{ 'fmi.team.action.save' | translate }}
        </button>
      </app-async-button>
    </ng-container>
  </app-page-form>
</ng-container>
